<?php

require_once('./lib/config.php');
require_once('./lib/db.php');
require_once($SITE_CONFIG['fspath']."/lib/User.php");
require_once($SITE_CONFIG['fspath']."/lib/Tag.php");
require_once($SITE_CONFIG['fspath']."/lib/UserAuthenticate.php");
require_once($SITE_CONFIG['fspath']."/lib/owasp_csrf_guard.php");

if($SITE_CONFIG['ssl'] && ($_SERVER['SERVER_PORT'] != 443)){
header('Location: https://'.$SITE_CONFIG['fqdn']);
return;
}



if(! array_key_exists('User',$_SESSION))
{
     if(
	( strlen($_POST['username']) == 0 ||
	  strlen($_POST['password']) == 0 ||
	  strlen($_POST['submit']) != "Sign in" 
        ) 
     ){
	if($SITE_CONFIG['ssl']){
		header('Location: https://'.$SITE_CONFIG['fqdn'].'/'); 
	}else{
		header('Location: http://'.$SITE_CONFIG['fqdn'].'/'); 
	}
	return;
      }


      if(!UserAuthenticate($mysqli,$_POST['username'],$_POST['password'])){
	if($SITE_CONFIG['ssl']){
			header('Location: https://'.$SITE_CONFIG['fqdn'].'/');
        }else{
 			header('Location: http://'.$SITE_CONFIG['fqdn'].'/');
	}
	return;
       }
       $_SESSION['User'] = new User($mysqli,$_POST['username']);
      }
      


?>
<!DOCTYPE html>
<html>
<head>
<title>The BlackKnight @HSBXL</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
   <!-- Bootstrap -->
   <link href="/css/bootstrap.css" rel="stylesheet">
   <link href="/css/starter-template.css" rel="stylesheet">
   </head>
   <body>

<div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><?php echo $SITE_CONFIG['mainname']?></a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li><a href="#" onclick="OnClickManageUsers();">Manage Users</a></li>
            <li><a href="#" onclick="OnClickManageTags();">Manage Tags</a></li>
	    <li><a href="/"><span class="text-danger">Logout</span></a></li>

          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </div>
    <div class="current_user"><?php echo $_SESSION['User']->getUsername();?></div>
    <div class="container">

      <div class="starter-template" id="main_content">
        <img src="/img/Blackknight2.png" >
      </div>


    </div>


<div class="hidden">
<form id="jscsrf">
</form>
</div>
     <script src="//code.jquery.com/jquery.js"></script>	
     <script src="/js/bootstrap.min.js"></script>
     <script src="/js/bn.js"></script>
  </body>
</html>

